# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXInvalidateConnections

Function

Propagates the validity of positions.

Syntax
`
#include <dx/dx.h>
`

Object DXInvalidateConnections(Object object)

Functional Details Propagates the validity of positions within the Fields of `object` to the connections, faces, or polylines. The validity of the positions is determined from the contents of the "invalid positions" component. A connections, faces, or polylines element will be invalidated if any of its constituent positions are invalid. An "invalid" connections, faces, or polylines component will be created if necessary. If there is no "invalid positions" component, if none of the positions are invalid, or if there is no "connections," "faces," or "polylines," component, there will be no change to `object`.

To invalidate positions that become unreferenced because of the action of `DXInvalidateConnections`, use `DXInvalidateUnreferencedPositions`. To remove invalidated connections, faces, or polylines (and positions), use `DXCull`.

Return Value

Returns the updated Object or returns `NULL` and sets an error code.

See Also

`DXCull, DXInvalidateUnreferencedPositions`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]